Scriptname nColdBurstFreezeScript extends activemagiceffect  

import utility

actor me
actor he
objectreference obj1
objectreference obj2

Event OnEffectStart(Actor akTarget, Actor akCaster)
	he = akTarget
	utility.wait(0.5)
	If !(he.IsInFaction(DragonFaction)) && he != game.GetPlayer() && !(he.IsDead())
		frostFX.play(he)
		he.enableAI(false)
	Endif
Endevent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	he.enableAI(true)
	frostFX.stop(he)
Endevent

Faction Property DragonFaction  Auto  

EffectShader Property frostFX  Auto  
